diff -pruN 20180430-1.1/debian/changelog 20180430-2/debian/changelog
--- 20180430-1.1/debian/changelog	2021-01-05 12:17:18.000000000 +0000
+++ 20180430-2/debian/changelog	2021-02-11 14:48:52.000000000 +0000
@@ -1,3 +1,31 @@
+cl-postmodern (20180430-2) unstable; urgency=medium
+
+  * sbcl-2.1.0.patch: new patch, fixes loading of the package under SBCL 2.1.0.
+    Thanks to Dennis Filder. (Closes: #980689)
+    Another option would have been to update to a newer upstream release, but
+    this requires the packaging of uax-15, which can’t be done that late in
+    the release cycle.
+  * Move under Debian Common Lisp Team maintenance. Thanks to Dimitri Fontaine
+    for his work on this package.
+  * Add debian/watch
+  * Bump to debhelper 13
+  * Remove Build-Depends on dh-lisp
+  * Bump S-V to 4.5.1
+  * Use secure URL in Homepage
+  * Add Rules-Requires-Root: no
+  * Update Vcs-* fields for move to salsa
+  * Mark all binary packages as M-A foreign
+  * Add some missing Depends, and add test dependencies in Recommends
+  * Ship README.md
+  * Install all Lisp files under the same directory
+    (/usr/share/common-lisp/source/postmodern/)
+  * Register manual to doc-base
+  * simple-date-broken-tests.patch: new patch from upstream, removes broken test
+  * Add (superficial) autopkgtests for sbcl and ecl. Truly testing
+    the package would require setting up a running postgresql server.
+
+ -- Sébastien Villemot <sebastien@debian.org>  Thu, 11 Feb 2021 15:48:52 +0100
+
 cl-postmodern (20180430-1.1) unstable; urgency=medium
 
   * Non maintainer upload by the Reproducible Builds team.
diff -pruN 20180430-1.1/debian/cl-postgres.dirs 20180430-2/debian/cl-postgres.dirs
--- 20180430-1.1/debian/cl-postgres.dirs	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/cl-postgres.dirs	1970-01-01 00:00:00.000000000 +0000
@@ -1,2 +0,0 @@
-usr/share/common-lisp/source/cl-postgres
-usr/share/common-lisp/systems
diff -pruN 20180430-1.1/debian/cl-postgres.install 20180430-2/debian/cl-postgres.install
--- 20180430-1.1/debian/cl-postgres.install	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/cl-postgres.install	2021-02-11 13:49:41.000000000 +0000
@@ -1,2 +1 @@
-cl-postgres.asd usr/share/common-lisp/source/cl-postgres
-cl-postgres usr/share/common-lisp/source/cl-postgres
\ No newline at end of file
+cl-postgres cl-postgres.asd usr/share/common-lisp/source/postmodern
diff -pruN 20180430-1.1/debian/cl-postgres.links 20180430-2/debian/cl-postgres.links
--- 20180430-1.1/debian/cl-postgres.links	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/cl-postgres.links	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/share/common-lisp/source/cl-postgres/cl-postgres.asd usr/share/common-lisp/systems/cl-postgres.asd
\ No newline at end of file
diff -pruN 20180430-1.1/debian/cl-postmodern.dirs 20180430-2/debian/cl-postmodern.dirs
--- 20180430-1.1/debian/cl-postmodern.dirs	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/cl-postmodern.dirs	1970-01-01 00:00:00.000000000 +0000
@@ -1,2 +0,0 @@
-usr/share/common-lisp/source/postmodern
-usr/share/common-lisp/systems
diff -pruN 20180430-1.1/debian/cl-postmodern.doc-base 20180430-2/debian/cl-postmodern.doc-base
--- 20180430-1.1/debian/cl-postmodern.doc-base	1970-01-01 00:00:00.000000000 +0000
+++ 20180430-2/debian/cl-postmodern.doc-base	2021-02-11 14:09:19.000000000 +0000
@@ -0,0 +1,8 @@
+Document: cl-postmodern
+Title: Alexandria Manual
+Abstract: Postmodern is a Common Lisp library for interacting with PostgreSQL databases.
+Section: Programming
+
+Format: HTML
+Index: /usr/share/doc/cl-postmodern/index.html
+Files: /usr/share/doc/cl-postmodern/*.html /usr/share/doc/cl-postmodern/style.css
diff -pruN 20180430-1.1/debian/cl-postmodern.docs 20180430-2/debian/cl-postmodern.docs
--- 20180430-1.1/debian/cl-postmodern.docs	1970-01-01 00:00:00.000000000 +0000
+++ 20180430-2/debian/cl-postmodern.docs	2021-02-11 13:46:27.000000000 +0000
@@ -0,0 +1,2 @@
+doc/*
+README.md
diff -pruN 20180430-1.1/debian/cl-postmodern.install 20180430-2/debian/cl-postmodern.install
--- 20180430-1.1/debian/cl-postmodern.install	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/cl-postmodern.install	2021-02-11 13:43:01.000000000 +0000
@@ -1,2 +1 @@
-postmodern.asd usr/share/common-lisp/source/postmodern
-postmodern usr/share/common-lisp/source/postmodern
\ No newline at end of file
+postmodern postmodern.asd usr/share/common-lisp/source/postmodern
diff -pruN 20180430-1.1/debian/cl-postmodern.links 20180430-2/debian/cl-postmodern.links
--- 20180430-1.1/debian/cl-postmodern.links	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/cl-postmodern.links	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/share/common-lisp/source/postmodern/postmodern.asd usr/share/common-lisp/systems/postmodern.asd
\ No newline at end of file
diff -pruN 20180430-1.1/debian/cl-simple-date.dirs 20180430-2/debian/cl-simple-date.dirs
--- 20180430-1.1/debian/cl-simple-date.dirs	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/cl-simple-date.dirs	1970-01-01 00:00:00.000000000 +0000
@@ -1,2 +0,0 @@
-usr/share/common-lisp/source/simple-date
-usr/share/common-lisp/systems
diff -pruN 20180430-1.1/debian/cl-simple-date.install 20180430-2/debian/cl-simple-date.install
--- 20180430-1.1/debian/cl-simple-date.install	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/cl-simple-date.install	2021-02-11 13:49:49.000000000 +0000
@@ -1,2 +1 @@
-simple-date.asd usr/share/common-lisp/source/simple-date
-simple-date usr/share/common-lisp/source/simple-date
\ No newline at end of file
+simple-date simple-date.asd usr/share/common-lisp/source/postmodern
diff -pruN 20180430-1.1/debian/cl-simple-date.links 20180430-2/debian/cl-simple-date.links
--- 20180430-1.1/debian/cl-simple-date.links	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/cl-simple-date.links	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/share/common-lisp/source/simple-date/simple-date.asd usr/share/common-lisp/systems/simple-date.asd
\ No newline at end of file
diff -pruN 20180430-1.1/debian/cl-s-sql.dirs 20180430-2/debian/cl-s-sql.dirs
--- 20180430-1.1/debian/cl-s-sql.dirs	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/cl-s-sql.dirs	1970-01-01 00:00:00.000000000 +0000
@@ -1,2 +0,0 @@
-usr/share/common-lisp/source/s-sql
-usr/share/common-lisp/systems
diff -pruN 20180430-1.1/debian/cl-s-sql.install 20180430-2/debian/cl-s-sql.install
--- 20180430-1.1/debian/cl-s-sql.install	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/cl-s-sql.install	2021-02-11 13:49:55.000000000 +0000
@@ -1,2 +1 @@
-s-sql.asd usr/share/common-lisp/source/s-sql
-s-sql usr/share/common-lisp/source/s-sql
\ No newline at end of file
+s-sql.asd s-sql usr/share/common-lisp/source/postmodern
diff -pruN 20180430-1.1/debian/cl-s-sql.links 20180430-2/debian/cl-s-sql.links
--- 20180430-1.1/debian/cl-s-sql.links	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/cl-s-sql.links	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/share/common-lisp/source/s-sql/s-sql.asd usr/share/common-lisp/systems/s-sql.asd
\ No newline at end of file
diff -pruN 20180430-1.1/debian/compat 20180430-2/debian/compat
--- 20180430-1.1/debian/compat	2018-03-06 13:38:56.000000000 +0000
+++ 20180430-2/debian/compat	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-9
\ No newline at end of file
diff -pruN 20180430-1.1/debian/control 20180430-2/debian/control
--- 20180430-1.1/debian/control	2018-03-06 13:38:56.000000000 +0000
+++ 20180430-2/debian/control	2021-02-11 14:30:56.000000000 +0000
@@ -1,17 +1,20 @@
 Source: cl-postmodern
 Section: lisp
 Priority: optional
-Maintainer: Dimitri Fontaine <dim@tapoueh.org>
-Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: dh-lisp
-Standards-Version: 4.1.3
-Homepage: http://marijnhaverbeke.nl/postmodern/
-Vcs-Git: https://github.com/marijnh/Postmodern.git
-Vcs-Browser: https://github.com/marijnh/Postmodern
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Uploaders: Sébastien Villemot <sebastien@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
+Homepage: https://marijnhaverbeke.nl/postmodern/
+Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-postmodern.git
+Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-postmodern
+Rules-Requires-Root: no
 
 Package: cl-postmodern
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, cl-postgres, cl-s-sql, cl-closer-mop, cl-bordeaux-threads
+Recommends: cl-fiveam, cl-simple-date
 Description: Common Lisp library for interacting with PostgreSQL databases
  Features efficient communication with the database server without need for
  foreign libraries, support for UTF-8 on Unicode-aware Lisp implementations,
@@ -28,7 +31,9 @@ Description: Common Lisp library for int
 
 Package: cl-postgres
 Architecture: all
-Depends: ${misc:Depends}, cl-usocket
+Multi-Arch: foreign
+Depends: ${misc:Depends}, cl-md5, cl-usocket
+Recommends: cl-fiveam, cl-plus-ssl
 Description: Low-level client library for PosgreSQL
  CL-postgres module implements a rather low-level interface for
  communicating with a PostgreSQL database server. It is part of the
@@ -36,7 +41,9 @@ Description: Low-level client library fo
 
 Package: cl-s-sql
 Architecture: all
-Depends: ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends}, cl-postgres
+Recommends: cl-fiveam, cl-postmodern
 Description: lispy syntax for SQL queries
  S-SQL provides a lispy syntax for SQL queries, and knows how to convert
  various lisp types to their textual SQL representation. It takes care to do
@@ -45,15 +52,17 @@ Description: lispy syntax for SQL querie
 
 Package: cl-simple-date
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
+Recommends: cl-fiveam, cl-postgres
 Description: Common Lisp types for dates, timestamps, and intervals
  Simple-date provides types (CLOS classes) for dates, timestamps, and
  intervals similar to the ones SQL databases use, in order to be able to
- store and read these to and from a database in a straighforward way. A few
+ store and read these to and from a database in a straightforward way. A few
  obvious operations are defined on these types.
  .
  The most glaring defect of this library is its ignorance of time zones. It
  pretends the whole world lives in UTC. Use with care.
  .
  When this library is loaded after CL-postgres, it will register suitable SQL
- readers and writers for the associated database types.
\ No newline at end of file
+ readers and writers for the associated database types.
diff -pruN 20180430-1.1/debian/copyright 20180430-2/debian/copyright
--- 20180430-1.1/debian/copyright	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/copyright	2021-02-11 14:32:14.000000000 +0000
@@ -1,10 +1,10 @@
-Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: postmodern
 Upstream-Contact: Marijn Haverbeke <marijnh@gmail.com>
-Source: http://marijnhaverbeke.nl/postmodern/
+Source: https://marijnhaverbeke.nl/postmodern/
 
 Files: *
-Copyright: Marijn Haverbeke, marijnh@gmail.com
+Copyright: Marijn Haverbeke <marijnh@gmail.com>
 License: Zlib
  This software is provided 'as-is', without any express or implied warranty.
  In no event will the authors be held liable for any damages arising from
diff -pruN 20180430-1.1/debian/patches/sbcl-2.1.0.patch 20180430-2/debian/patches/sbcl-2.1.0.patch
--- 20180430-1.1/debian/patches/sbcl-2.1.0.patch	1970-01-01 00:00:00.000000000 +0000
+++ 20180430-2/debian/patches/sbcl-2.1.0.patch	2021-02-11 14:45:17.000000000 +0000
@@ -0,0 +1,20 @@
+Description: The type declamation for BYTE-LENGTH contradicts its
+ default value which trips sbcl 2:2.1.0-1 when inlining.  This patch
+ corrects the declamation.
+Author: Dennis Filder <d.filder@web.de>
+Bug-Debian: https://bugs.debian.org/980689
+Applied-Upstream: https://github.com/marijnh/Postmodern/commit/d702405ad617e27509521c3b6fc8806198cf2ead
+Last-Update: 2021-02-11
+---
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+--- a/cl-postgres/strings-utf-8.lisp
++++ b/cl-postgres/strings-utf-8.lisp
+@@ -13,7 +13,7 @@
+ 
+ (declaim (inline enc-read-string))
+ (declaim (ftype (function (t &key (:null-terminated t)
+-                                  (:byte-length unsigned-byte))
++                                  (:byte-length fixnum))
+                           string)
+                 enc-read-string))
+ (defun enc-read-string (input &key null-terminated (byte-length -1))
diff -pruN 20180430-1.1/debian/patches/series 20180430-2/debian/patches/series
--- 20180430-1.1/debian/patches/series	1970-01-01 00:00:00.000000000 +0000
+++ 20180430-2/debian/patches/series	2021-02-11 14:41:54.000000000 +0000
@@ -0,0 +1,2 @@
+sbcl-2.1.0.patch
+simple-date-broken-tests.patch
diff -pruN 20180430-1.1/debian/patches/simple-date-broken-tests.patch 20180430-2/debian/patches/simple-date-broken-tests.patch
--- 20180430-1.1/debian/patches/simple-date-broken-tests.patch	1970-01-01 00:00:00.000000000 +0000
+++ 20180430-2/debian/patches/simple-date-broken-tests.patch	2021-02-11 14:42:57.000000000 +0000
@@ -0,0 +1,15 @@
+Description: Remove broken test
+Origin: upstream, https://github.com/marijnh/Postmodern/commit/04725f6761f347cef920062f67e6e01a483ca70c
+Last-Update: 2021-02-11
+---
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+--- a/simple-date/tests.lisp
++++ b/simple-date/tests.lisp
+@@ -21,7 +21,6 @@
+   (is (= 30 (simple-date::days-in-month 8 2000)))
+   (is (= 31 (simple-date::days-in-month 9 2000)))
+   (is (= 31 (simple-date::days-in-month 10 2000)))
+-  (is (= 29 (simple-date::days-in-month 11 2000)))
+   (is (= 28 (simple-date::days-in-month 11 2001))))
+ 
+ (defmacro with-random-dates (amount &body body)
diff -pruN 20180430-1.1/debian/rules 20180430-2/debian/rules
--- 20180430-1.1/debian/rules	2017-12-20 12:26:20.000000000 +0000
+++ 20180430-2/debian/rules	2021-02-11 13:45:45.000000000 +0000
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with lisp
-
-override_dh_installdocs:
-	dh_installdocs doc/*
+	dh $@
diff -pruN 20180430-1.1/debian/tests/control 20180430-2/debian/tests/control
--- 20180430-1.1/debian/tests/control	1970-01-01 00:00:00.000000000 +0000
+++ 20180430-2/debian/tests/control	2021-02-11 14:45:44.000000000 +0000
@@ -0,0 +1,11 @@
+Test-Command: sbcl --script debian/tests/runtests.lisp
+Depends: @, sbcl, cl-fiveam
+Restrictions: allow-stderr, superficial
+
+Test-Command: ecl -norc -shell debian/tests/runtests.lisp
+Depends: @, ecl, cl-fiveam
+Restrictions: allow-stderr, superficial
+
+#Test-Command: clisp -norc debian/tests/runtests.lisp
+#Depends: @, clisp, cl-fiveam
+#Restrictions: allow-stderr, superficial
diff -pruN 20180430-1.1/debian/tests/runtests.lisp 20180430-2/debian/tests/runtests.lisp
--- 20180430-1.1/debian/tests/runtests.lisp	1970-01-01 00:00:00.000000000 +0000
+++ 20180430-2/debian/tests/runtests.lisp	2021-02-11 14:40:43.000000000 +0000
@@ -0,0 +1,19 @@
+(require "asdf")
+
+(let ((asdf:*user-cache* (uiop:getenv "AUTOPKGTEST_TMP"))) ; Store FASL in some temporary dir
+  #+(or ecl clisp) ; On those, it it necessary to manually load usocket
+  (asdf:load-system "usocket")
+
+  (asdf:load-system "cl-postgres")
+  (asdf:load-system "s-sql")
+  (asdf:load-system "postmodern")
+  (asdf:load-system "simple-date")
+  (asdf:load-system "simple-date/tests"))
+
+;; Can't use ASDF:TEST-SYSTEM, its return value is meaningless
+(let ((results (5am:run :simple-date)))
+  (5am:explain! results)
+  (unless (5am:results-status results)
+    (uiop:quit 1)))
+
+;; Can't run tests for other systems, they require a postgresql server running
diff -pruN 20180430-1.1/debian/watch 20180430-2/debian/watch
--- 20180430-1.1/debian/watch	1970-01-01 00:00:00.000000000 +0000
+++ 20180430-2/debian/watch	2021-02-11 13:21:38.000000000 +0000
@@ -0,0 +1,4 @@
+version=4
+opts="mode=git, pgpmode=none, pretty=%cd.git%h" \
+https://github.com/marijnh/Postmodern \
+HEAD debian uupdate
